コンテンツへスキップ

Sonilo V1.1 Text to Music

統合

モデルID sonilo/v1.1/text-to-music
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/sonilo/v1.1/text-to-music?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $0.225 225 APIクレジット · ≈ ₽24.21 実行前にファイルを計測します このページで実行

APIキーを取得
Sonilo テキストから音楽 リップシンク1–600 s #stylized#transform#lipsync

テキストから音楽を生成し、1回のリクエストで最大3トラック、最大600秒の長さに対応

Sonilo · 音声

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

目的の音楽のテキスト説明。

デフォルト 90

目的の出力長(秒)。最大600です。

デフォルト 1

生成する個別音楽トラックの数。

POST /run/sonilo/v1.1/text-to-music?wait=20 見積もり → $0.225
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/sonilo/v1.1/text-to-music?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Sonilo V1.1 Text to Musicについて

スタイル、ムード、楽器編成を説明する単一のテキストプロンプトから音楽を作曲します。`duration` は1から600秒(デフォルト90)で指定し、`num_samples` で1から3個の異なるトラックを生成します。結果には1つ目のトラックが `audio` として、全トラックが `audios` として含まれ、形式は AAC/m4a です。

パラメータ

名前型 デフォルト許可される値 説明
prompt必須
型string
目的の音楽のテキスト説明。
duration任意
型integer
デフォルト90
1 – 600
目的の出力長(秒)。最大600です。
num_samples任意
型integer
デフォルト1
1 – 3
生成する個別音楽トラックの数。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "sonilo/v1.1/text-to-music",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 225,
    "usd": "0.225",
    "charged": 225,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "audios": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
        "content_type": "audio/mpeg",
        "file_name": "0-output.mp3",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
audio
object {url, content_type, file_name, file_size}最初に生成された音楽トラック。クイック再生またはプレビュー用に提供されます。
audios
array of object {url, content_type, file_name, file_size}AAC/m4a形式で生成された音楽トラックの完全なコレクション。各サンプルにつき1トラックです。

その他のモデル: テキストから音楽

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/sonilo/v1.1/text-to-music.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt